Error installing IPP 7.1 threaded libraries

Error installing IPP 7.1 threaded libraries

Longtime IPP user, upgraded recently to 7.1, and now attempting to install the standalone threaded library package on Windows, and get this error:

You must first install Intel(R) IPP 7.1.1.119 on Intel(R) 64 before installing Intel(R) IPP threaded static libraries on Intel(R) 64.

The version of IPP I have is from the latest Intel Parallel Studio release, and I've tried reinstalling, repairing, and re-downloading both the 32 and 64 installers.  How can I proceed with installing the static libraries?

10 帖子 / 0 全新
最新文章
如需更全面地了解编译器优化,请参阅优化注意事项

Jonathan, by another words, you have already installed version IPP 7.1.update 1 (7.1.1119 ) on your system and then tried to install 
w_ccompxe_threaded_static_ipp_7.1.1.119.zip  - you got this message?

>>...How can I proceed with installing the static libraries?..

My question is do you mean static threaded libraries?

Gennady - That's correct.

Sergey - Also correct.  

Hello, Jonathan,

IPP threaded static libraries depend on the base IPP package. This message warns you that the installer can’t detect the base version of IPP on Intel(R) 64 installed to your machine.

Could you kindly make sure that IPP 7.1.update 1 (7.1.119) installed to your machine has the Intel(R) 64 component? How to check it:

1)     Please run the IPP installer again (or go to the modify mode), move to the tool selection dialog, and visually validate that the Intel(R) 64 component is selected.

2)     Please go to the installation location and make sure the folder <product_location>/ipp/lib/intel64 exists

If the Intel(R) 64 component is missed, please install it, and then try to install IPP threaded static libraries. Please reply here if it does not help. I will monitor this topic.

Thank you, - Nikolay

Updating here with a fix that I got internally here at Intel:

When you open the w_ccompxe_threaded_static_ipp_7.1.1.119.zip package, it gives you the option of where to unpack the temporary files.  You should uncheck the box that offers to remove the files when the installation is complete, and after it gives the error I described originally, you can find that directory and unzip the .cab file you'll find there.  In that package are the ipp[x]_t.lib files, which you can copy to your IPP root.  

Now I just need to find out how to disable the Visual Studio errors so that I can use the integrated settings panel instead of pointing directly to the libs.  

>>...Now I just need to find out how to disable the Visual Studio errors...

What VS errors do you mean? I've read all your posts and I don't see any references and please clarify. Thanks.

Well I have exactly the same problem. I tried your workaround, found all the missing library files  and now my test app has unresolved externals. I have raised this issue with premier support and after a wekk, getting nowhere fast.

Edit:  I fixed the unreolved externals. It links runs and works. Thanks Jonathan T. You're a star.

Hi Adrian,

Could you please provide me with a couple of unresolved external names you see in your application build? What if some library missed from linker command line?

Regards,
Sergey 

Regards, Sergey

See above post. The missing externals were three mkl libs.

发表评论

登录添加评论。还不是成员?立即加入